<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-card-heading">Create or edit a Card</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_abbreviation">Abbreviation</label>
                    <input type="text" class="form-control" name="abbreviation" id="field_abbreviation"
                           formControlName="abbreviation"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                           formControlName="description"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="ACTIVE">ACTIVE</option>
                        <option value="INACTIVE">INACTIVE</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_type">Type</label>
                    <select class="form-control" name="type" formControlName="type" id="field_type">
                        <option value="REGULAR">REGULAR</option>
                        <option value="LEGACY">LEGACY</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_photo">Photo</label>
                    <input type="text" class="form-control" name="photo" id="field_photo"
                           formControlName="photo"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_requireApplicant">Require Applicant</label>
                    <input type="number" class="form-control" name="requireApplicant" id="field_requireApplicant"
                           formControlName="requireApplicant"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberValidity">Member Validity</label>
                    <input type="number" class="form-control" name="memberValidity" id="field_memberValidity"
                           formControlName="memberValidity"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberFee">Member Fee</label>
                    <input type="number" class="form-control" name="memberFee" id="field_memberFee"
                           formControlName="memberFee"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberFeeVat">Member Fee Vat</label>
                    <input type="number" class="form-control" name="memberFeeVat" id="field_memberFeeVat"
                           formControlName="memberFeeVat"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_additionalMember">Additional Member</label>
                    <input type="number" class="form-control" name="additionalMember" id="field_additionalMember"
                           formControlName="additionalMember"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_additionalMemberFee">Additional Member Fee</label>
                    <input type="number" class="form-control" name="additionalMemberFee" id="field_additionalMemberFee"
                           formControlName="additionalMemberFee"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_numberOfTransfer">Number Of Transfer</label>
                    <input type="number" class="form-control" name="numberOfTransfer" id="field_numberOfTransfer"
                           formControlName="numberOfTransfer"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_transferFee">Transfer Fee</label>
                    <input type="number" class="form-control" name="transferFee" id="field_transferFee"
                           formControlName="transferFee"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_annualFee">Annual Fee</label>
                    <input type="number" class="form-control" name="annualFee" id="field_annualFee"
                           formControlName="annualFee"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_annualFeeVat">Annual Fee Vat</label>
                    <input type="number" class="form-control" name="annualFeeVat" id="field_annualFeeVat"
                           formControlName="annualFeeVat"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_ageMin">Age Min</label>
                    <input type="number" class="form-control" name="ageMin" id="field_ageMin"
                           formControlName="ageMin"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_ageMax">Age Max</label>
                    <input type="number" class="form-control" name="ageMax" id="field_ageMax"
                           formControlName="ageMax"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_visaPeriod">Visa Period</label>
                    <input type="number" class="form-control" name="visaPeriod" id="field_visaPeriod"
                           formControlName="visaPeriod"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_activeStartDate">Active Start Date</label>
                    <div class="d-flex">
                        <input id="field_activeStartDate" type="datetime-local" class="form-control" name="activeStartDate" formControlName="activeStartDate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_activeEndDate">Active End Date</label>
                    <div class="d-flex">
                        <input id="field_activeEndDate" type="datetime-local" class="form-control" name="activeEndDate" formControlName="activeEndDate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberInformationAgreement">Member Information Agreement</label>
                    <input type="text" class="form-control" name="memberInformationAgreement" id="field_memberInformationAgreement"
                           formControlName="memberInformationAgreement"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_memberPackageAgreement">Member Package Agreement</label>
                    <input type="text" class="form-control" name="memberPackageAgreement" id="field_memberPackageAgreement"
                           formControlName="memberPackageAgreement"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
